package com.engine.shuzhi.service;

import java.util.List;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2023/06/02
 * @version: 1.0
 */
public interface SzBatchExportService {

    /**
     * 下载人员附件
     *
     * @param idList 所选人员ID
     * @return 文件名称、文件路径
     */
    Map<String, Object> downloadResourceFile(List<Long> idList);

    /**
     * 下载合同附件
     *
     * @param idList 所选记录ID
     * @return 文件名称、文件路径
     */
    Map<String, Object> downloadContractFile(List<Long> idList);

}
